org.red5.server.api.stream

## Interface ISubscriberStreamService

All Superinterfaces:
  IScopeService

All Known Implementing Classes:
  ApplicationAdapter, MultiThreadedApplicationAdapter

    public interface ISubscriberStreamService
    extends IScopeService

### Field Summary

Fields
`static String` `BEAN_NAME`

### Method Summary

Methods
`ISubscriberStream` `getSubscriberStream(IScope scope, String name)` Returns a stream that can subscribe a broadcast stream with the given name using "IBroadcastStream.subscribe".

### Field Detail

#### BEAN_NAME

    static final String BEAN_NAME

See Also:
  Constant Field Values

### Method Detail

#### getSubscriberStream

    ISubscriberStream getSubscriberStream(IScope scope,
                                        String name)

Returns a stream that can subscribe a broadcast stream with the given name using "IBroadcastStream.subscribe".

Parameters:
  `scope` - the scope to return the stream from
  `name` - the name of the stream
Returns:
  the stream object